package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.Permisosempleados;

import javax.ejb.Local;
import java.util.Date;
import java.util.List;

/**
 *
 * @author sistemas
 */
@Local
public interface PermisosempleadosFacadeLocal {

    void create(Permisosempleados permisosempleados);

    void edit(Permisosempleados permisosempleados);

    void remove(Permisosempleados permisosempleados);

    Permisosempleados find(Object id);

    List<Permisosempleados> findAll();

    List<Permisosempleados> findRange(int[] range);

    int count();

    List<Permisosempleados> obtenerPermisosPorFecha(Date inicio, Date fin);

    String obtenerNuevoCodigoEmpP(String letraApellido);

    Permisosempleados crearPermios(Permisosempleados p);

}


